﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS3000 (1 yr) DCV VISA /5500+S6
INSTRUMENT:            Sub Tek TDS3000 (1 yr) Sample Rate VISA /5500+S6
INSTRUMENT:            Sub Tek TDS3000 (1 yr) Bandwidth VISA /5500+S6
INSTRUMENT:            Sub Tek TDS3000 (1 yr) Trig Sens VISA /5500+S6
DATE:                  2011-01-25 09:32:27
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       18
NUMBER OF LINES:       377
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        TDS3000 Series
#           TDS 3012, TDS 3014, TDS 3032, TDS 3034, TDS 3052, TDS 3054
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS3000 Select Channel VISA
#        Sub Tek TDS3000 Trigger Check and Level Adjust VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  VISA         *RST;CLEARM;HEADER OFF;*OPC?[I!]
  1.002  CALL         Sub Tek TDS3000 Select Channel VISA

  1.003  JMPL         DCV                          PSUBI("DCV")
  1.004  JMPL         SAMPLE_RATE                  PSUBI("Sample")
  1.005  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.006  JMPL         TRIGGER_SENS                 PSUBI("Trig Sens")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# ********************** DC VOLTAGE ************************************

  2.001  LABEL        DCV
  2.002  HEAD         DC VOLTAGE MEASUREMENT ACCURACY (Ch [V @Chan])

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =DCV MEASUREMENT ACCURACY
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]
  2.009  HEAD         -2 1 mV/div
  2.010  TARGET       -p
  2.011  TSET         TDESC = 1 mV/div, 100 mV input
  2.012  VISA         ACQUIRE:MODE AVERAGE;NUMAVG 16
  2.013  VISA         TRIG:MAIN:MODE AUTO;EDGE:SOURCE LINE
  2.014  VISA         MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP MEAN;STATE ON
  2.015  VISA         CH[V @Chan]:SCA 1E-3;INV OFF;BAN TWE;OFFS 96.5E-3
  2.016  5500         100.00mV                                       S6 S
  2.017  WAIT         -t 10 Settling...
  2.018  TARGET       -m
  2.019  VISA         MEASU:MEAS1:VAL?[I]
  2.020  MATH         MEM = MEM / 1E-3
  2.021  MEMCX        100.00mV       -0.75U +0.80U

  3.001  HEAD         -2 2 mV/div
  3.002  TARGET       -p
  3.003  TSET         TDESC = 2 mV/div, -7 mV input
  3.004  VISA         CH[V @Chan]:SCA 2E-3;INV OFF;BAN TWE;OFFS 0
  3.005  5500         -7.000mV                                       S6 S
  3.006  WAIT         -t 10 Settling...
  3.007  TARGET       -m
  3.008  VISA         MEASU:MEAS1:VAL?[I]
  3.009  MATH         MEM = MEM / 1E-3
  3.010  MEMCX        -7.000mV       0.540U

  4.001  HEAD         -2 5 mV/div
  4.002  TARGET       -p
  4.003  TSET         TDESC = 5 mV/div, -100 mV input
  4.004  VISA         CH[V @Chan]:SCA 5E-3;INV OFF;BAN TWE;OFFS -82.5E-3
  4.005  5500         -100.00mV                                      S6 S
  4.006  WAIT         -t 10 Settling...
  4.007  TARGET       -m
  4.008  VISA         MEASU:MEAS1:VAL?[I]
  4.009  MATH         MEM = MEM / 1E-3
  4.010  MEMCX        -100.00mV      -1.80U +1.76U

  5.001  HEAD         -2 50 mV/div, 1 V input
  5.002  TARGET       -p
  5.003  TSET         TDESC = 50 mV/div, 1 V input
  5.004  VISA         CH[V @Chan]:SCA 50E-3;INV OFF;BAN FUL;OFFS 0
  5.005  VISA         CH[V @Chan]:OFFS 825E-3
  5.006  5500         1.0000V                                        S6 S
  5.007  WAIT         -t 4 Settling...
  5.008  TARGET       -m
  5.009  VISA         MEASU:MEAS1:VAL?[I]
  5.010  TOL          -0.0176U  +0.0180U
  5.011  MEMCX        1.0000V        TOL

  6.001  HEAD         -2 50 mV/div, 650 mV input
  6.002  TARGET       -p
  6.003  TSET         TDESC = 50 mV/div, 650 mV input
  6.004  VISA         CH[V @Chan]:SCA 50E-3;INV OFF;BAN FUL;OFFS 0
  6.004  VISA         CH[V @Chan]:OFFS 825E-3
  6.005  5500         650.0mV                                        S6 S
  6.006  WAIT         -t 4 Settling...
  6.007  TARGET       -m
  6.008  VISA         MEASU:MEAS1:VAL?[I]
  6.009  MATH         MEM = MEM / 1E-3
  6.010  MEMCX        650.0mV        17.6U

  7.001  HEAD         -2 50 mV delta
  7.002  TARGET       -p
  7.003  TSET         TDESC = 50 mV/div, 350 mV Delta
  7.004  TARGET       -m
  7.005  VISA         CH[V @Chan]:SCA 50E-3;INV OFF;BAN FUL;OFFS 0
  7.006  VISA         CH[V @Chan]:OFFS 825E-3
  7.007  5500         1.0000V                                        S6 S
  7.008  WAIT         -t 4 Settling...
  7.009  VISA         MEASU:MEAS1:VAL?[I]
  7.010  MATH         L[1] = MEM / 1E-3
  7.011  VISA         CH[V @Chan]:SCA 50E-3;INV OFF;BAN FUL;OFFS 0
  7.011  VISA         CH[V @Chan]:OFFS 825E-3
  7.012  5500         650.0mV                                        S6 S
  7.013  WAIT         -t 4 Settling...
  7.014  VISA         MEASU:MEAS1:VAL?[I]
  7.015  MATH         MEM = MEM / 1E-3
  7.016  MATH         MEM = ABS(L[1] - MEM)
  7.017  MEMCX        350.0mV        9.5U

  8.001  HEAD         -2 90 mV/div
  8.002  TARGET       -p
  8.003  TSET         TDESC = 90 mV/div, -315 mV input
  8.004  VISA         CH[V @Chan]:SCA 90E-3;INV OFF;BAN FUL;OFFS 0
  8.005  5500         -315.0mV                                       S6 S
  8.006  WAIT         -t 10 Settling...
  8.007  TARGET       -m
  8.008  VISA         MEASU:MEAS1:VAL?[I]
  8.009  MATH         MEM = MEM / 1E-3
  8.010  MEMCX        -315.0mV       24.3U

  9.001  HEAD         -2 200 mV/div
  9.002  TARGET       -p
  9.003  TSET         TDESC = 200 mV/div, 10 V input

  9.004  IF           @Bandwidth == 100E+6
  9.005  VISA         CH[V @Chan]:SCA 200E-3;INV OFF;BAN FUL;OFFS 9.3
  9.006  ELSE
  9.007  VISA         CH[V @Chan]:SCA 200E-3;INV OFF;BAN ONEF;OFFS 9.3
  9.008  ENDIF

  9.009  5500         10.000V                                        S6 S
  9.010  WAIT         -t 10 Settling...
  9.011  TARGET       -m
  9.012  VISA         MEASU:MEAS1:VAL?[I]
  9.013  MEMCX        10.000V        0.100U

 10.001  HEAD         -2 1 V/div
 10.002  TARGET       -p
 10.003  TSET         TDESC = 1 V/div, -10 V input

 10.004  IF           @Bandwidth == 100E+6
 10.005  VISA         CH[V @Chan]:SCA 1;INV ON;BAN FUL;OFFS -6.5
 10.006  ELSE
 10.007  VISA         CH[V @Chan]:SCA 1;INV ON;BAN ONEF;OFFS -6.5
 10.008  ENDIF

 10.009  5500         10.000V                                        S6 S
 10.010  WAIT         -t 10 Settling...
 10.011  TARGET       -m
 10.012  VISA         MEASU:MEAS1:VAL?[I]
 10.013  TOL          -0.300U +0.302U
 10.014  MEMCX        -10.000V       TOL

 11.001  HEAD         -2
 11.002  HEAD
 11.003  5500         *                                                 S
 11.004  END

 11.005  EVAL   Increment step number

# ********************** SAMPLE RATE ************************************

 12.001  LABEL        SAMPLE_RATE
 12.002  RSLT         =
 12.003  RSLT         =SAMPLE RATE AND DELAY TIME ACCURACY
 12.004  TARGET
 12.005  VISA         HOR:DELAY:STATE OFF
 12.006  VISA         CH1:IMP FIFTY;SCA 500E-3
 12.007  VISA         HOR:SCA 2E-3
 12.008  5500         10mT                                        M2 S6 S  L
 12.009  WAIT         [D1000]
 12.010  VISA         HOR:TRIG:POS 50
 12.011  VISA         HOR:DELAY:STATE ON;TIME 10E-3
 12.012  VISA         HOR:SCA 1E-6
 12.013  VISA         TRIG:A:SETL
 12.014  MESS         Does the rising edge of the marker cross the center
 12.014  MESS         horizontal graticule line within ±2 divisions of
 12.014  MESS         center graticule?
 12.015  MEM2         = Limit : ±2 div @1 µs/div, 10 ms delay time
 12.016  EVAL   -s MEM2 :

 13.001  MESS
 13.002  HEAD
 13.003  5500         *                                                 S
 13.004  END

 13.005  EVAL   Increment step number

# ********************** BANDWIDTH ************************************

 14.001  LABEL        BANDWIDTH
 14.002  HEAD         BANDWIDTH (Ch [V @Chan]): 100 mV/div

 14.003  IF           @Chan == 1
 14.004  RSLT         =
 14.005  RSLT         =BANDWIDTH
 14.006  ENDIF

 14.007  RSLT         =
 14.008  RSLT         =Channel [V @Chan]
 14.009  TARGET
 14.010  VISA         ACQUIRE:MODE AVERAGE;NUMAVG 16
 14.011  VISA         TRIG:A:EDGE:SOURCE VERT;COUP NOISE
 14.012  VISA         HOR:SCA 10E-6
 14.013  VISA         CH[V @Chan]:COUP DC;IMP FIFTY;SCA 100E-3
 14.014  VISA         MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP PK2;STATE ON

# Set the output of the calibrator so the peak-to-peak measurement is
# between 599 mV and 601 mV.
 14.015  MATH         MEM = 600; MEM1 = MEM

 14.016  DO
 14.017  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 14.018  IF           MEM > 5500 || MEM < 5
 14.019  MATH         MEM = 600
 14.020  ENDIF

 14.021  5500         mVpp                         50kH           LS S6 S  L
 14.022  WAIT         [D1000]
 14.023  VISA         MEASU:MEAS1:VAL?[I]
 14.024  MATH         MEM = MEM / 1E-3
 14.025  UNTIL        (MEM >= 599) && (MEM <= 601)

# Last calibrator amplitude setting is in MEM1.
 14.026  MATH         MEM = MEM1
 14.027  VISA         HOR:SCA 10E-9

 14.028  IF           @Bandwidth == 100E+6
 14.029  VISA         HOR:SCA 10E-9
 14.030  5500         mVpp                         100MH          LS S6 S  L
 14.031  ELSEIF       @Bandwidth == 300E+6
 14.032  VISA         HOR:SCA 2E-9
 14.033  5500         mVpp                         300MH          LS S6 S  L
 14.034  ELSEIF       @Bandwidth == 500E+6
 14.035  VISA         HOR:SCA 1E-9
 14.036  5500         mVpp                         500MH          LS S6 S  L
 14.037  ENDIF

 14.038  WAIT         -t 5 System settling...
 14.039  VISA         MEASU:MEAS1:VAL?[I]
 14.040  MATH         MEM = MEM / 1E-3
 14.041  MATH         RstStr = FMT(MEM, "%.1f") & " mVpp"
 14.042  MATH         RstStr = " Bound >= 425 mVpp, result: " & RstStr
 14.043  EVAL   -e MEM >= 425 : [V RstStr]

 15.001  HEAD
 15.002  5500         *                                                 S
 15.003  END

 15.004  EVAL   Increment step number

# ********************** TRIGGER SENSITIVITY ****************************

 16.001  LABEL        TRIGGER_SENS
 16.002  HEAD         TRIGGER SENSITIVITY (Ch [V @Chan])

 16.003  IF           @Chan == 1
 16.004  RSLT         =
 16.005  RSLT         =EDGE TRIGGER SENSITIVITY
 16.006  ENDIF

 16.007  RSLT         =
 16.008  RSLT         =Channel [V @Chan]
 16.009  HEAD         -2 RISING SLOPE
 16.010  TARGET
 16.011  VISA         ACQUIRE:MODE AVERAGE;NUMAVG 16
 16.012  VISA         TRIG:A:EDGE:SOURCE VERT
 16.013  VISA         HOR:SCA 10E-9
 16.014  VISA         CH[V @Chan]:IMP FIFTY;SCA 500E-3
 16.015  VISA         MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP PK2;STATE ON

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV.
 16.016  MATH         MEM = 500; MEM1 = MEM

 16.017  DO
 16.018  MATH         MEM = MEM1 + (500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 16.019  IF           MEM > 5500 || MEM < 5
 16.020  MATH         MEM = 500
 16.021  ENDIF

 16.022  IF           @Bandwidth == 100E+6
 16.023  5500         mVpp                         100MH          LS S6 S  L
 16.024  ELSEIF       @Bandwidth == 300E+6
 16.025  5500         mVpp                         300MH          LS S6 S  L
 16.026  ELSEIF       @Bandwidth == 500E+6
 16.027  5500         mVpp                         500MH          LS S6 S  L
 16.028  ENDIF

 16.029  MATH         CalOutVal = MEM1
 16.030  WAIT         [D1000]
 16.031  VISA         MEASU:MEAS1:VAL?[I]
 16.032  MATH         MEM = MEM / 1E-3
 16.033  UNTIL        (MEM >= 499) && (MEM <= 501)

 16.034  MATH         @PeakVal = MEM / 2
 16.035  CALL         Sub Tek TDS3000 Trigger Check and Level Adjust VISA
 16.036  EVAL   -e @Triggered : Rising Slope, Stable Trigger

 17.001  HEAD         -2 FALLING SLOPE
 17.002  TARGET
 17.003  VISA         TRIGGER:A:EDGE:SLOPE FALL
 17.004  MATH         MEM = CalOutVal

 17.005  IF           @Bandwidth == 100E+6
 17.006  5500         mVpp                         100MH          LS S6 S  L
 17.007  ELSEIF       @Bandwidth == 300E+6
 17.008  5500         mVpp                         300MH          LS S6 S  L
 17.009  ELSEIF       @Bandwidth == 500E+6
 17.010  5500         mVpp                         500MH          LS S6 S  L
 17.011  ENDIF

 17.012  VISA         MEASU:MEAS1:VAL?[I]
 17.013  MATH         @PeakVal = MEM / 2
 17.014  CALL         Sub Tek TDS3000 Trigger Check and Level Adjust VISA
 17.015  EVAL   -e @Triggered : Falling Slope, Stable Trigger

 18.001  HEAD         -2
 18.002  HEAD
 18.003  5500         *                                                 S
 18.004  END
